Summary: Scripts for initng
Name: initng-ifiles
Version: 0.1.5
Release: 4%{?dist}
License: GPLv2 and LGPLv2+
URL: http://www.initng.org
Group: System Environment/Base
Source0: http://download.initng.org/%{name}/v0.1/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake initng-devel
Requires: filesystem
Provides: initng(ifiles)

%description
Initng is a full replacement of the old and in many ways deprecated sysvinit
tool. This package contains all script files needed to run initng


%prep
%setup -q

### fixing the paths (should be diffed and merged with upstream)
for file in $(grep -l @mount@ */*/*); do
mv $file $file.old
sed 's|@mount@|@/bin/mount@|' $file.old > $file
done

for file in $(grep -l @awk@ */*/*); do
mv $file $file.old
sed 's|@awk@|@/usr/bin/awk@|' $file.old > $file
done

for file in $(grep -l @logsave@ */*/*); do
mv $file $file.old
sed 's|@logsave@|@/sbin/logsave@|' $file.old > $file
done

for file in $(grep -l @killalli5:killall5@ */*/*); do
mv $file $file.old
sed 's|@killalli5:killall5@|@/sbin/killalli5:/sbin/killall5@|' $file.old > $file
done

for file in $(grep -l @dmesg@ */*/*); do
mv $file $file.old
sed 's|@dmesg@|@/bin/dmesg@|' $file.old > $file
done

for file in $(grep -l @/sbin/dmesg@ */*/*); do
mv $file $file.old
sed 's|@/sbin/dmesg@|@/bin/dmesg@|' $file.old > $file
done

for file in $(grep -l @fsck@ */*/*); do
mv $file $file.old
sed 's|@fsck@|@/sbin/fsck@|' $file.old > $file
done


%build
export CFLAGS="$RPM_OPT_FLAGS"
cmake . -DLIB_INSTALL_DIR:STRING=/%{_lib}
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}/%{_sysconfdir}/hotplug/net.agent
rm -rf %{buildroot}/%{_sysconfdir}/pcmcia/network

### lets bring that upstream or split it out
rm -rf %{buildroot}%{_datadir}/vim/

rm -rf %{buildroot}/%{_lib}/libgenrunlevel.gentoo
rm -rf %{buildroot}/%{_lib}/libgenrunlevel.debian
mkdir _doc
mv %{buildroot}%{_datadir}/doc/%{name}/* _doc/


%post
if [ $1 = 1 ]; then
  /sbin/genrunlevel --all >/dev/null 2>&1 || :
else
  /sbin/genrunlevel --migrate >/dev/null 2>&1 || :
fi
exit 0


%clean
rm -rf %{buildroot}


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc _doc/*
%config(noreplace) %{_sysconfdir}/initng
/sbin/genrunlevel
/sbin/install_service
/sbin/ng-update
/%{_lib}/libgenrunlevel*
/%{_lib}/initng
%{_mandir}/*/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.5-2
- fix license tag

* Sun Apr 13 2008 Daniel Malmgren <dm@mensa.se> - 0.1.5-1
- New upstreams version
- Removed patches that are now upstreams
- Fixed faulty source URL

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.4-5
- Autorebuild for GCC 4.3

* Sat Oct 29 2007 Rudolf Kastl <che666@gmail.com> 0.1.4-4
- Fixed another typo in the svn backport
- Changed rpcbind need to virtual/net/lo in svn backport
- Fixed thinko in dbus.ii

* Fri Oct 28 2007 Rudolf Kastl <che666@gmail.com> 0.1.4-3
- Fixed paths for alot binaries to avoid buildreqs and make 
  everything boot actually
- Fixed the patch for udev to stop the hangs on boot
- Turned on verbosity when building

* Thu Aug 23 2007 Daniel Malmgren <dm@mensa.se> 0.1.4-2
- Added patch from upstreams to fix bug #239829 and #248668
  and replace syslogd and klogd with rsyslogd and rklogd

* Wed Aug 15 2007 Daniel Malmgren <dm@mensa.se> 0.1.4-1
- New upstreams version

* Thu May 31 2007 Daniel Malmgren <dm@mensa.se> 0.1.3-1
- New upstreams version
- Removed the no longer needed virtcheck patch

* Tue Mar 27 2007 Daniel Malmgren <dm@mensa.se> 0.1.2-1
- New upstreams version
- Fixed up genrunlevel calls in post
- Patch to disable broken virtcheck stuff

* Thu Feb 22 2007 Daniel Malmgren <dm@mensa.se> 0.0.8.1-1
- New upstreams version

* Mon Feb 12 2007 Daniel Malmgren <dm@mensa.se> 0.0.8-1
- New upstreams version
- Removed the lib patch, now in upstreams

* Mon Feb 05 2007 Daniel Malmgren <dm@mensa.se> 0.0.7-2
- Fixed issue with hardcoded /lib path, using patch from upstreams svn

* Sun Feb 04 2007 Daniel Malmgren <dm@mensa.se> 0.0.7-1
- New upstreams version
- Upstreams has migrated from the old cludgy gen_system_runlevel to
  a new genrunlevel. Adopting. The script is hardcoded to search for
  it's files in /lib, I guess this needs fixing upstreams...
- Fix the flags used for building

* Sat Sep 30 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.6-2
- Bump version for rebuild

* Tue Sep 19 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.6-1
- New upstream version

* Mon May 22 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.5-1
- New upstream version

* Wed May 17 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.4-1
- New upstream version

* Mon May 08 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.3.2-1
- New upstream version
- Added lib config flag to cmake

* Thu Apr 27 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.3.1-3
- Really generate runlevel files (added -all to gen_system_runlevel)

* Wed Apr 26 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.3.1-2
- Added initng-devel to buildrequires

* Fri Apr 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.3.1-1
- New upstream version
- Some specfile cleanups (BZ #173459#c227)
- Remove initng dependency, which shouldn't be needed anymore

* Tue Mar 28 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.3-1
- New upstream version
- Added build requirement cmake
- Adopt spec to cmake building
- Removed ifplugd package. Those files doesn't seem to exist anymore (?)
- Updated URLs. Initng homepage is now www.initng.org

* Tue Mar 28 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.2.2-1
- New upstream version

* Mon Mar 27 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.2.1-1
- New upstream version

* Fri Mar 24 2006 Daniel Malmgren <daner964@student.liu.se> 0.0.1-1
- First try to split out ifiles to separate spec file
- Don't ship the files in /usr/share/vim for now. I guess they make no sense
  if vim is not installed, so they should be in a separate rpm, right?
